Debian Bug report logs - #595901
kfreebsd-kernel-headers: pimd does not build due to missing netinet/pim.h

version graph

Package: kfreebsd-kernel-headers; Maintainer for kfreebsd-kernel-headers is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kfreebsd-kernel-headers is src:kfreebsd-kernel-headers.

Reported by: Joachim Nilsson <troglobit@vmlinux.org>

Date: Tue, 7 Sep 2010 05:42:01 UTC

Severity: normal

Found in version kfreebsd-kernel-headers/0.53

Fixed in version kfreebsd-kernel-headers/0.54

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#595901; Package kfreebsd-kernel-headers. (Tue, 07 Sep 2010 05:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Nilsson <troglobit@vmlinux.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 07 Sep 2010 05:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joachim Nilsson <troglobit@vmlinux.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kfreebsd-kernel-headers: pimd does not build due to missing netinet/pim.h
Date: Tue, 7 Sep 2010 07:33:43 +0200
Package: kfreebsd-kernel-headers
Version: 0.53
Severity: normal

It seems kFreeBSD is missing netinet/pim.h, although netinet/pim_var.h is
included.  This just might have been overlooked when importing the tree.

I am working on porting pimd to Debian GNU/kFreeBSD and am trying to reuse
as much of the run-time build magic in local header files and Makfiles from
the FreeBSD detection code.  It looks completely doable, but is slightly
troublesome considering this missing file.

Regards
 /Joachim

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- no debconf information




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Thu, 26 May 2011 01:21:05 GMT) Full text and rfc822 format available.

Notification sent to Joachim Nilsson <troglobit@vmlinux.org>:
Bug acknowledged by developer. (Thu, 26 May 2011 01:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 595901-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 595901-close@bugs.debian.org
Subject: Bug#595901: fixed in kfreebsd-kernel-headers 0.54
Date: Thu, 26 May 2011 01:18:07 +0000
Source: kfreebsd-kernel-headers
Source-Version: 0.54

We believe that the bug you reported is fixed in the latest version of
kfreebsd-kernel-headers, which is due to be installed in the Debian FTP archive:

kfreebsd-kernel-headers_0.54.dsc
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.54.dsc
kfreebsd-kernel-headers_0.54.tar.gz
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.54.tar.gz
kfreebsd-kernel-headers_0.54_kfreebsd-amd64.deb
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.54_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595901@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated kfreebsd-kernel-headers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 26 May 2011 02:41:12 +0200
Source: kfreebsd-kernel-headers
Binary: kfreebsd-kernel-headers
Architecture: source kfreebsd-amd64
Version: 0.54
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 kfreebsd-kernel-headers - kernel of FreeBSD headers for development
Closes: 593553 595901
Changes: 
 kfreebsd-kernel-headers (0.54) unstable; urgency=low
 .
   [ Petr Salinger ]
   * Based on kfreebsd-source-8.2.
   * Fix __packed in <net80211/ieee80211_ioctl.h> for knemo.
   * Drop <legacy/dev/usb/usb.h>.
 .
   [ Robert Millan ]
   * Add <sys/kerneldump.h> for savecore (freebsd-utils).
   * Start MIPS support.
 .
   [ Guillem Jover ]
   * Unpack the kfreebsd-source tarball directly into the top package
     source directory.
   * Now using Standards-Version 3.9.2 (no changes needed).
   * Add <sys/_semaphore.h> and <sys/cpuset.h> for <sys/sysproto.h>.
     For now <sys/acl.h> is not included, and libacl-dev should probably
     be used instead, but it might lack needed definitions. Closes: #593553
   * Add <netinet/pim.h>. Closes: #595901
   * Switch to debhelper compatibility level 7.
     - Use dh_prep instead of deprecated “dh_clean -k”.
   * Remove unused debhelper commands from debian/rules.
   * Switch to source format “3.0 (native)”.
   * Add build-arch, build-indep, install-arch and install-indep targets
     to debian/rules.
Checksums-Sha1: 
 e0c1df46b270c04cb3b5da47552f84d44ed93801 1106 kfreebsd-kernel-headers_0.54.dsc
 a7f888666cf9c851b0156d8e5b74be8ef6e74bb0 37596 kfreebsd-kernel-headers_0.54.tar.gz
 e713f9140f9a68d8975dcf12adce2f51b9cb4f9b 4035346 kfreebsd-kernel-headers_0.54_kfreebsd-amd64.deb
Checksums-Sha256: 
 7b843f97213b36230167673b2e12bcdfd1e0da2d45e1bf62659d3e07b789230f 1106 kfreebsd-kernel-headers_0.54.dsc
 e93bafc2ce3d82c472dbc157e683f0e31de0daa4b7594779110046addcfcda8b 37596 kfreebsd-kernel-headers_0.54.tar.gz
 5e15486db6e4401105dedaf371700b00aea1eecf6b5464c268e123e7bdb4879b 4035346 kfreebsd-kernel-headers_0.54_kfreebsd-amd64.deb
Files: 
 055ea43a4152642763df5c8020f45727 1106 kernel standard kfreebsd-kernel-headers_0.54.dsc
 bf78aea9471f75f2c4d57a373fced258 37596 kernel standard kfreebsd-kernel-headers_0.54.tar.gz
 db1325230074066c33c7650131201e6c 4035346 kernel standard kfreebsd-kernel-headers_0.54_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3dphQACgkQuW9ciZ2SjJt/FgCgr9drXINYavcsX2v0dEPDxE7F
q0YAnR5OJysS9WC2dQeFvMqgmAGkq04K
=zZz8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 03 Jul 2011 07:32:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:16:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.